﻿@model UpdateRoleVM
@{
    ViewData["Title"] = "Update Role";
}

<div class="row">
    <div class="col-lg-6">
        <h2>Update Role</h2>
        <form method="post">
            <div asp-validation-summary="All" class="text-danger"></div>
            <input hidden asp-for="RoleID" />
            <div class="form-group">
                <label asp-for="RoleName"></label>
                <input asp-for="RoleName" class="form-control" />
                <span asp-validation-for="RoleName" class="text-danger"></span>
            </div>
            <button type="submit" class="btn btn-success float-right"><i class="fa fa-check"></i> Submit!</button>

            <a class="btn btn-success float-right mr-2" asp-action="Roles" asp-controller="Administration"><i class="fa fa-times"></i> Cancel</a>
        </form>
    </div>
    <div class="col-lg-6">
        <div class="row">
            <div class="col-lg-12">
                <h3>@Model.Users.Count Users in role: '@Model.RoleName'</h3>
                <a asp-action="AddOrRemoveUsersInRole" asp-controller="Administration" asp-route-id="@Model.RoleID"><i class="fa fa-plus"></i> Add or remove users to this role</a><br /><br />
            </div>
            
            @if (Model.Users.Any())
            {
                foreach (var item in Model.Users)
                {
                    <div class="col-lg-6"><a asp-route-id="@item.Id" asp-controller="Administration", asp-action="UpdateUser"><i class="fa fa-user"></i></a> @item.Email</div>
                }
            }
            else
            {
                <div class="col-lg-12 text-center">No users assigned in this role!</div>
            }
        </div>

    </div>
</div>
